%bcond_with check
%global debug_package %{nil}

%global crate cfg-expr

Name:           rust-cfg-expr
Version:        0.15.5
Release:        %mkrel 1 0.1
Summary:        Parser and evaluator for Rust cfg() expressions
Group:          Development/Other
BuildArch:      noarch
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/cfg-expr
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 21
BuildRequires:	crate(smallvec/default) >= 1.8.0

%global _description %{expand:
A parser and evaluator for Rust `cfg()` expressions.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE-APACHE
%license LICENSE-MIT
%doc CHANGELOG.md
%doc CODE_OF_CONDUCT.md
%doc CONTRIBUTING.md
%doc README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+target-lexicon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+target-lexicon-devel %{_description}

This package contains library source intended for building other packages which
use the "target-lexicon" feature of the "%{crate}" crate.

%files       -n %{name}+target-lexicon-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+targets-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+targets-devel %{_description}

This package contains library source intended for building other packages which
use the "targets" feature of the "%{crate}" crate.

%files       -n %{name}+targets-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif
